## kio 5.116.0

=== docs/CMakeLists.txt ===
add_subdirectory(kcookiejar5)
add_subdirectory(kioslave5)
add_subdirectory(kcontrol5)

=== templates/CMakeLists.txt ===
kde_package_app_templates(
    TEMPLATES
        kioworker
    INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR}
)

=== docs/kcontrol5/CMakeLists.txt ===
add_subdirectory(cookies)
add_subdirectory(netpref)
add_subdirectory(proxy)
add_subdirectory(smb)
add_subdirectory(trash)
add_subdirectory(webshortcuts)

=== src/kcms/CMakeLists.txt ===
add_subdirectory(webshortcuts)
add_subdirectory(cookies)
add_subdirectory(smb)
add_subdirectory(proxy)
add_subdirectory(netpref)

=== src/kiod/CMakeLists.txt ===
include(ECMMarkNonGuiExecutable)

add_executable(kiod5)

target_sources(kiod5 PRIVATE
    kiod_main.cpp
)

if (APPLE)
    target_sources(kiod5 PRIVATE
        kiod_agent.mm
    )
endif()

ecm_qt_export_logging_category(
    IDENTIFIER KIOD_CATEGORY
    CATEGORY_NAME kf.kio.kiod
    OLD_CATEGORY_NAMES kf5.kiod
    DESCRIPTION "KIO Daemon (KIO)"
    EXPORT KIO
)

target_link_libraries(kiod5
   KF5::KIOCore     # ksslcertificatemanager
   KF5::DBusAddons  # kdedmodule
   KF5::CoreAddons  # kpluginfactory
   Qt${QT_MAJOR_VERSION}::Network
   Qt${QT_MAJOR_VERSION}::DBus
   Qt${QT_MAJOR_VERSION}::Widgets     # QApplication
)

if (APPLE)
    target_link_libraries(kiod5 "-framework AppKit -framework CoreFoundation")

    # Mark it as non-gui so we won't create an app bundle on Mac OS X
    ecm_mark_nongui_executable(kiod5)
endif ()

install(TARGETS kiod5 DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

kdbusaddons_generate_dbus_service_file(kiod5 org.kde.kiod5 ${KDE_INSTALL_FULL_LIBEXECDIR_KF})

=== src/ioslaves/trash/CMakeLists.txt ===
# find_package(Strigi)
# set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and search support"
#                        URL "http://strigi.sourceforge.net"
#                        TYPE ${STRIGI_TYPE}
#                       )
# if (WIN32)
#     set (STRIGI_TYPE "OPTIONAL")
# else ()
#     set (STRIGI_TYPE "REQUIRED")
# endif ()

if(BUILD_TESTING)
  if(WIN32)
    message(AUTHOR_WARNING "kio_trash unit tests are broken on Windows, disabling them")
  else()
    add_subdirectory(tests)
  endif()
endif()

########### next target ###############
ecm_qt_declare_logging_category(kio_trash_PART_DEBUG_SRCS
    HEADER kiotrashdebug.h
    IDENTIFIER KIO_TRASH
    CATEGORY_NAME kf.kio.workers.trash
    OLD_CATEGORY_NAMES kf5.kio.trash kf.kio.slaves.trash
    DESCRIPTION "kio trash (KIO)"
    EXPORT KIO
)
kcoreaddons_add_plugin(kio_trash INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kio")

if(WIN32)
    target_sources(kio_trash PRIVATE
        kio_trash_win.cpp
        ${kio_trash_PART_DEBUG_SRCS}
    )
else()
    # Files that are shared with the KCM. Unix specific.
    add_library(trash_common_unix INTERFACE)
    target_sources(trash_common_unix INTERFACE
        ${CMAKE_CURRENT_SOURCE_DIR}/trashimpl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/discspaceutil.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/trashsizecache.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/kinterprocesslock.cpp
        ${kio_trash_PART_DEBUG_SRCS}
    )
    target_link_libraries(kio_trash trash_common_unix)

    target_sources(kio_trash PRIVATE
        kio_trash.cpp
    )
endif()

target_link_libraries(kio_trash
  KF5::ConfigCore
  KF5::Solid
  KF5::KIOCore
  Qt${QT_MAJOR_VERSION}::DBus
  Qt${QT_MAJOR_VERSION}::Network
  KF5::I18n
  KF5::ConfigCore
)
if(APPLE)
    target_link_libraries(kio_trash "-framework DiskArbitration -framework CoreFoundation")
endif(APPLE)


add_executable(ktrash5)
ecm_mark_nongui_executable(ktrash5)

target_sources(ktrash5 PRIVATE
    ktrash.cpp
)

target_compile_definitions(ktrash5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(ktrash5
  KF5::KIOCore
  KF5::I18n
  KF5::ConfigCore
)

install(TARGETS ktrash5 ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

# currently not on win32, TODO!
if(NOT WIN32 AND NOT KIOCORE_ONLY)
    add_library(kcm_trash MODULE)
    kcoreaddons_desktop_to_json(kcm_trash kcmtrash.desktop)
    target_sources(kcm_trash PRIVATE
        kcmtrash.cpp
    )
    target_link_libraries(kcm_trash
       trash_common_unix
       Qt${QT_MAJOR_VERSION}::DBus
       KF5::I18n
       KF5::ConfigWidgets
       KF5::KIOCore
       KF5::Solid)
    if(APPLE)
        target_link_libraries(kcm_trash "-framework DiskArbitration -framework CoreFoundation")
    endif(APPLE)

    install(TARGETS kcm_trash DESTINATION ${KDE_INSTALL_PLUGINDIR})
endif()

########### install files ###############

install( FILES kcmtrash.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR} )

if(NOT KF6_COMPAT_BUILD)
    install( FILES kcm_trash.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()

=== src/kcms/netpref/CMakeLists.txt ===
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)

add_library(kcm_netpref MODULE)

kcoreaddons_desktop_to_json(kcm_netpref netpref.desktop)
target_sources(kcm_netpref PRIVATE
    netpref.cpp
    ../ksaveioconfig.cpp
)

target_link_libraries(kcm_netpref
  PUBLIC
    Qt${QT_MAJOR_VERSION}::DBus
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::KIOCore
    KF5::TextWidgets # KPluralHandlingSpinBox
  PRIVATE
    KF5::I18n
    KF5::CoreAddons
)

install(TARGETS kcm_netpref  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.102.0)
  install(FILES netpref.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR})
endif()

=== src/kioworkers/http/CMakeLists.txt ===
include(ECMMarkNonGuiExecutable)

include(ConfigureChecks.cmake)
configure_file(config-kioworker-http.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kioworker-http.h )

if(GSSAPI_FOUND)
    set(HAVE_LIBGSSAPI 1)
    if(GSSAPI_FLAVOR STREQUAL "MIT")
        set(GSSAPI_MIT 1)
    else()
        set(GSSAPI_MIT 0)
    endif()

    include_directories( ${GSSAPI_INCS} )

else()
    set(HAVE_LIBGSSAPI 0)
    set(GSSAPI_MIT 0)
endif()

configure_file(config-gssapi.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-gssapi.h )

if (NOT KIOCORE_ONLY)
add_subdirectory( kcookiejar )
endif()

########### next target ###############

add_executable(kio_http_cache_cleaner)
# Mark it as non-gui so we won't create an app bundle on Mac OS X
ecm_mark_nongui_executable(kio_http_cache_cleaner)

target_sources(kio_http_cache_cleaner PRIVATE
    http_cache_cleaner.cpp
)

target_link_libraries(kio_http_cache_cleaner
   Qt${QT_MAJOR_VERSION}::DBus
   Qt${QT_MAJOR_VERSION}::Network # QLocalSocket
   KF5::KIOCore # KProtocolManager
   KF5::I18n)

install(TARGETS kio_http_cache_cleaner DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF} )

########### next target ###############

# kio/httpfilter/Makefile.am: httpfilter
kcoreaddons_add_plugin(kio_http INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kio")

target_sources(kio_http PRIVATE
   http.cpp
   httpauthentication.cpp
   httpfilter.cpp
   )

ecm_qt_export_logging_category(
    IDENTIFIER KIO_HTTP
    CATEGORY_NAME kf.kio.workers.http
    OLD_CATEGORY_NAMES kf5.kio.kio_http kf.kio.slaves.http
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KIO HTTP worker (KIO)"
    EXPORT KIO
)

ecm_qt_export_logging_category(
    IDENTIFIER KIO_HTTP_AUTH
    CATEGORY_NAME kf.kio.workers.http.auth
    OLD_CATEGORY_NAMES kf5.kio.kio_http.auth kf.kio.slaves.http.auth
    DESCRIPTION "kio http auth (KIO)"
    EXPORT KIO
)

ecm_qt_export_logging_category(
    IDENTIFIER KIO_HTTP_FILTER
    CATEGORY_NAME kf.kio.workers.http.filter
    OLD_CATEGORY_NAMES kf5.kio.kio_http.filter kf.kio.slaves.http.filter
    DESCRIPTION "kio http filter (KIO)"
    EXPORT KIO
)

target_link_libraries(kio_http
   PRIVATE
   Qt${QT_MAJOR_VERSION}::DBus
   Qt${QT_MAJOR_VERSION}::Network # QLocalSocket etc.
   Qt${QT_MAJOR_VERSION}::Xml     # QDom
   KF5::ConfigCore
   KF5::KIOCore
   KF5::KIONTLM
   KF5::Archive
   KF5::I18n
)
if(GSSAPI_FOUND)
  target_link_libraries(kio_http PRIVATE ${GSSAPI_LIBS})
endif()

if (TARGET Qt6::Core5Compat)
    target_link_libraries(kio_http PRIVATE Qt6::Core5Compat) # QTextCodec
endif()

########### install files ###############

install( FILES
    http_cache_cleaner.desktop
  DESTINATION  ${KDE_INSTALL_KSERVICESDIR} )

=== src/kioworkers/remote/CMakeLists.txt ===
add_subdirectory( kdedmodule ) 
kcoreaddons_add_plugin(kio_remote
    INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/kio
)

target_sources(kio_remote PRIVATE
    kio_remote.cpp
    remoteimpl.cpp
)

ecm_qt_declare_logging_category(kio_remote
    HEADER debug.h
    IDENTIFIER KIOREMOTE_LOG
    CATEGORY_NAME kf.kio.workers.remote
    OLD_CATEGORY_NAMES kf5.kio.kio_remote kf.kio.slaves.remote
    DEFAULT_SEVERITY Info
    DESCRIPTION "kio_remote (KIO)"
    EXPORT KIO
)

target_link_libraries(kio_remote KF5::KIOCore KF5::I18n KF5::ConfigCore Qt${QT_MAJOR_VERSION}::Network)

=== src/ioslaves/file/kauth/CMakeLists.txt ===
add_executable(file_helper filehelper.cpp fdsender.cpp)
target_link_libraries(file_helper Qt${QT_MAJOR_VERSION}::Network KF5::AuthCore KF5::I18n KF5::KIOCore)

#install(TARGETS file_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
#kauth_install_helper_files(file_helper org.kde.kio.file root)
#kauth_install_actions(org.kde.kio.file file.actions)

=== src/ioslaves/trash/tests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

ecm_qt_declare_logging_category(kio_trash_PART_test_DEBUG_SRCS
    HEADER kiotrashdebug.h
    IDENTIFIER KIO_TRASH
    CATEGORY_NAME kf.kio.workers.trash
)

set(testtrash_SRCS
    testtrash.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../trashimpl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../trashsizecache.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../discspaceutil.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../kinterprocesslock.cpp
    ${kio_trash_PART_test_DEBUG_SRCS}
)

include(ECMAddTests)

ecm_add_test(${testtrash_SRCS}
    TEST_NAME testtrash
    LINK_LIBRARIES
        KF5::ConfigCore
        KF5::I18n
        Qt${QT_MAJOR_VERSION}::DBus
        KF5::KIOCore
        KF5::Solid
        Qt${QT_MAJOR_VERSION}::Test
        Qt${QT_MAJOR_VERSION}::Network
)

if(APPLE)
    target_link_libraries(testtrash "-framework DiskArbitration -framework CoreFoundation")
endif(APPLE)

# other tests like dropjob and fileundomanager use the trash in ~/.qttest, which this test cleans up
set_tests_properties(testtrash PROPERTIES RUN_SERIAL TRUE)

### next target ###

add_executable(lockingtest lockingtest.cpp ../kinterprocesslock.cpp)
ecm_mark_nongui_executable(lockingtest)

target_link_libraries(lockingtest Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::DBus)

=== src/kioworkers/http/kcookiejar/CMakeLists.txt ===
####### kcookiejar: command line tool for talking to the kded kcookiejar module #######
add_executable( kcookiejar5)
ecm_mark_nongui_executable(kcookiejar5)

qt_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/kcookieserver.h org.kde.KCookieServer.xml)
set(kcookieserver_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KCookieServer.xml)
set_source_files_properties(${kcookieserver_xml} PROPERTIES INCLUDE "kcookiejar_include.h")
set(kcookiejar_dbus_SRCS)
qt_add_dbus_interfaces(kcookiejar_dbus_SRCS ${kcookieserver_xml})

target_sources(kcookiejar5 PRIVATE
    ${kcookiejar_dbus_SRCS}
    main.cpp
)

target_link_libraries( kcookiejar5
   Qt${QT_MAJOR_VERSION}::DBus
   KF5::I18n
   KF5::WidgetsAddons
)

install(TARGETS kcookiejar5 ${KF_INSTALL_TARGETS_DEFAULT_ARGS} )

########### kded kcookiejar module ###############

kcoreaddons_add_plugin(kded_kcookiejar
    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kded"
)
set_target_properties(kded_kcookiejar PROPERTIES
    OUTPUT_NAME kcookiejar
)

set(kded_kcookiejar_dbus_SRCS)
qt_add_dbus_adaptor(kded_kcookiejar_dbus_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KCookieServer.xml kcookieserver.h KCookieServer)

target_sources(kded_kcookiejar PRIVATE
   ${kded_kcookiejar_dbus_SRCS}
   kcookiejar.cpp
   kcookieserver.cpp
   kcookiewin.cpp
)

ecm_qt_export_logging_category(
    IDENTIFIER KIO_COOKIEJAR
    CATEGORY_NAME kf.kio.workers.http.cookiejar
    OLD_CATEGORY_NAMES kf5.kio.cookiejar kf.kio.slaves.http.cookiejar
    DESCRIPTION "kcookiejar (KIO)"
    EXPORT KIO
)

target_link_libraries(kded_kcookiejar
   KF5::WindowSystem
   KF5::ConfigCore
   KF5::CoreAddons
   KF5::DBusAddons
   KF5::I18n
   KF5::WidgetsAddons
)

########### install files ###############

install( FILES domain_info  DESTINATION  ${KDE_INSTALL_DATADIR_KF}/kcookiejar )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KCookieServer.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} RENAME kf5_org.kde.KCookieServer.xml)

kdbusaddons_generate_dbus_service_file(kded5 org.kde.kcookiejar5 ${KDE_INSTALL_FULL_BINDIR})

=== debian/changelog ===
kio (5.116.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Turn off warning for GCS on arm64 (Closes: #1110457).

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Sep 2025 18:12:26 +0200

kio (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:51 +0200

kio (5.115.0-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Team upload.
  * Update symbols files from the logs of buildds; better mark few Linux & Hurd
    symbols.
  * Drop unused lintian override.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 08:33:53 +0100

kio (5.115.0-8) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:18:55 +0200

kio (5.115.0-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable co-installability with KF6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 13:32:46 +0200

kio (5.115.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  *  Backport upstream patch to fix incorrect behaviours with CIFS:
    - Don't leak existing file handles to newly spanwed KIO workers.
      (Closes: #1070322)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 May 2024 23:34:42 +0200

kio (5.115.0-5) unstable; urgency=medium

  * Team upload.
  * Add more dependencies to libkf5kio-dev, needed for properly using the cmake
    config: libkf5config-dev, libkf5coreaddons-dev, libkf5widgetsaddons-dev,
    and libkf5windowsystem-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 23:03:04 +0200

kio (5.115.0-4) unstable; urgency=medium

  * Team upload.
  * Make switcheroo-control really a recommend, not a dependency.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Restrict the switcheroo-control recommend to few architectures, i.e.
    amd64 i386; dual GPU setups exist (at least TTBOMK) only on these
    architectures.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 10:00:44 +0200

kio (5.115.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:41 +0200

kio (5.115.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 20:22:27 +0200

kio (5.115.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the patch fix_kfreebsd_build, already not applied anymore since
    5.88.0-1.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015452).
  * Recommend switcheroo-control (Closes: #1051914).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:06:16 +0100

=== debian/control ===
Source: kio
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               gettext,
               kded5-dev,
               libacl1-dev,
               libkf5archive-dev (>= 5.116.0~),
               libkf5auth-dev (>= 5.116.0~),
               libkf5bookmarks-dev (>= 5.116.0~),
               libkf5completion-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5configwidgets-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5crash-dev (>= 5.116.0~),
               libkf5dbusaddons-dev (>= 5.116.0~),
               libkf5doctools-dev (>= 5.116.0~),
               libkf5guiaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5iconthemes-dev (>= 5.116.0~),
               libkf5itemviews-dev (>= 5.116.0~),
               libkf5jobwidgets-dev (>= 5.116.0~),
               libkf5notifications-dev (>= 5.116.0~),
               libkf5service-dev (>= 5.116.0~),
               libkf5solid-dev (>= 5.116.0~),
               libkf5textwidgets-dev (>= 5.116.0~),
               libkf5wallet-dev (>= 5.116.0~),
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.116.0~),
               libkf5xmlgui-dev (>= 5.116.0~),
               libkrb5-dev,
               libmount-dev [linux-any],
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxml2-dev,
               libxslt1-dev,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kio
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio.git
Rules-Requires-Root: no

Package: kio
Architecture: any
Depends: kded5, ${misc:Depends}, ${shlibs:Depends},
Recommends: switcheroo-control [amd64 i386], systemsettings,
Description: resource and network access abstraction
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.

Package: libkf5kio-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks-dev (>= 5.116.0~),
         libkf5completion-dev (>= 5.116.0~),
         libkf5config-dev (>= 5.116.0~),
         libkf5coreaddons-dev (>= 5.116.0~),
         libkf5itemviews-dev (>= 5.116.0~),
         libkf5jobwidgets-dev (>= 5.116.0~),
         libkf5service-dev (>= 5.116.0~),
         libkf5solid-dev (>= 5.116.0~),
         libkf5widgetsaddons-dev (>= 5.116.0~),
         libkf5windowsystem-dev (>= 5.116.0~),
         libkf5xmlgui-dev (>= 5.116.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Recommends: libkf5kio-doc (= ${source:Version}),
Description: resource and network access abstraction (development files)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the development files for kio.

Package: libkf5kio-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: resource and network access abstraction (documentation)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the QCH documentation files.

Package: libkf5kiocore5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO core library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains the core classes.

Package: libkf5kiofilewidgets5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO file widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some file dialog widgets.

Package: libkf5kiogui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO gui library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains gui related jobs.

Package: libkf5kiontlm5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO NTLM library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library implements the NTLM authentication protocol

Package: libkf5kiowidgets5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some UI widgets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

ifeq ($(DEB_TARGET_ARCH),arm64)
        DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,gcs-report-dynamic=none
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DKF6_COMPAT_BUILD=ON

override_dh_shlibdeps:
	dh_shlibdeps $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkio
	dh_shlibdeps --remaining-packages

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kio 5.116.0+p24.04+vstable+git20250909.0631

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20250909.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:31:47 +0000

kio (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:41:07 +1000

kio (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:29:01 +0000

kio (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:22:47 +0000

kio (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:03:24 +0000

kio (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:45:05 +0000

kio (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 16:07:20 +0000

kio (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:26:32 +0000

kio (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:29:49 +0000

kio (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:11:45 +0000

kio (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:40:09 +0000

kio (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:58:23 +0000

kio (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:53:15 +0000

kio (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:26:47 +0000

kio (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:33:21 +0000

kio (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:54:36 +0000

kio (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:57:11 +0000

kio (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:06:43 +0000

kio (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:21:59 +0000

kio (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:27:14 +0000

kio (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:03:13 +0000

kio (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:34:36 +0000

kio (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:58:11 +0000

kio (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:37:39 +0000

kio (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:18:10 +0000

kio (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:28:13 +0000

kio (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:52:14 +0000

kio (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 20:00:06 +0000

kio (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:45 +0000

kio (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:04 +0000

kio (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:26:28 +0000

kio (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:16:57 +0000

kio (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:26 +0000

kio (5.80.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:17:34 +0000

kio (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:09 +0000

kio (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:12:57 +0000

kio (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:05:30 +0000

kio (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:17 +0000

kio (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:41:47 +0000

kio (5.74.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:29:10 +0000

kio (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:23:10 +0000

kio (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:31:37 +0000

kio (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:52:49 +0000

kio (5.70.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:14 +0000

kio (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:31 +0000

kio (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:21:00 +0000

kio (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:04:59 +0000

kio (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:23:23 +0000

kio (5.65.0-0neon) bionic; urgency=medium

  * New release



## kio 5.116.0+p24.04+vstable+git20251001.1105

=== debian/changelog ===
kio (5.116.0+p24.04+vstable+git20251001.1105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:05:38 +0000
